#ifndef _XRLOG_H_
#define _XRLOG_H_

#include <sys/types.h>

#define XRLOG_ERR_MAX_WRITE_SIZE_EXCEEDED	-1
#define XRLOG_ERR_INVALID_DATA_ACCESS		-2
#define XRLOG_ERR_INVALID_HANDLE			-3

#define XRLOG_HDL_FREE		0
#define XRLOG_HDL_VALID		1
#define XRLOG_HDL_INVALID	2


// log ring buffer
typedef struct xrlog_s xrlog_t;

// hdl to access ring buffer
typedef struct xrlog_hdl_s xrlog_hdl_t;

xrlog_hdl_t* xrlog_open(xrlog_t* xrlog);

void xrlog_close(xrlog_hdl_t* hdl);

short xrlog_write(xrlog_t* xrlog, u_char* buf, u_short len);

short xrlog_read(xrlog_hdl_t* hdl, u_char* buf, u_short len);

short xrlog_seek(xrlog_hdl_t* hdl, u_short len);

u_char xrlog_is_handle_valid(xrlog_hdl_t* hdl);

void xrlog_empty(xrlog_t* xrlog);

xrlog_t* xrlog_init(u_long mem_addr, u_short max_size);

#endif //_XRLOG_H_
